/* Use the newly created database */
USE sql_constraints_tutorial;

/* Sample query displaying multiple constraints. */
CREATE TABLE IF NOT EXISTS book_details (
    book_id VARCHAR(15) NOT NULL,
    book_name VARCHAR(50) DEFAULT 'TEST',
    book_isbn VARCHAR(15) NOT NULL UNIQUE,
    date_of_publication DATE,
    publication_language VARCHAR(15),
    total_pages DECIMAL(5 , 0 ) CHECK (total_pages > 0),
    book_price DECIMAL(8 , 2 ),
    author_name VARCHAR(20),
    author_email VARCHAR(100) DEFAULT 'author.name@jcg.com',
    PRIMARY KEY (book_id)
);

DESC book_details;